package net.lensfrex.dscape.dao.entity;

import lombok.Data;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

/**
 * @description user_role
 * @author lensfrex
 * @date 2022-08-17
 */
@Data
public class UserRole implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 角色id
     */
    private Integer role;

    /**
     * 用户uid
     */
    private String uid;

    /**
     * create_time
     */
    private LocalDateTime createTime;

    /**
     * edit_time
     */
    private LocalDateTime editTime;

    /**
     * is_deleted
     */
    private int isDeleted;

    public UserRole() {}
}