package net.lensfrex.dscape.dao.service;
import net.lensfrex.dscape.dao.entity.RolePermission;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @description role_permission服务层
 * @author lensfrex
 * @date 2022-08-17
 */
@Service
public interface RolePermissionService extends IService<RolePermission> {
    @Select("select permission from role_permission where role = #{role} and is_deleted = 0")
    List<String> getPermissions(String role);

    @Select("select permission from role_permission where role = #{role} and is_deleted = 0")
    List<String> getPermissions(List<String> roles);
}