package net.lensfrex.dscape.dao.entity;

import lombok.Data;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

/**
 * @description compute_history
 * @author lensfrex
 * @date 2022-08-17
 */
@Data
public class ComputeHistory implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 计算数据记录对应的用户uid
     */
    private String uid;

    /**
     * 计算数据记录对应的患者数据id
     */
    private Integer rid;

    public ComputeHistory() {}
}