package net.lensfrex.dscape.enums.user;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;

@Getter
public enum UserStatusEnum {

    NORMAL(0, "正常"),
    BANNED(1, "封禁中"),
    NOT_IDENTIFIED(2, "管理员未认证");

    @EnumValue
    private final int code;
    private final String name;

    UserStatusEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }
}
