package net.lensfrex.dscape.exception;

import net.lensfrex.dscape.dto.response.general.ResponseCode;

public class GlobalException extends RuntimeException {
    private final ResponseCode responseCode;

    public GlobalException(ResponseCode responseCode) {
        super(responseCode.toString());
        this.responseCode = responseCode;
    }

    public ResponseCode getResponseCode() {
        return responseCode;
    }
}